Akismet plugin 2.4 for WordPress

Version 2.4 of the Akismet plugin for WordPress is available now. This is a maintenance release that fixes some bugs, and includes some preparation for new features in a forthcoming version.

Major changes include:

* Akismet now uses the trash bin when deleting old comments (WP 2.9+ only)

* Legacy code needed for WordPress versions earlier than 2.7 has been moved to a separate file, legacy.php

* Several minor deprecation and compatibility issues in some versions of WordPress have been fixed

* Various bug fixes described in detail here.

This version retains backwards compatibility with old versions of WordPress, but it is the last major release that will do so. The next release of the Akismet plugin will require WordPress 3.0. We’ll continue to maintain the 2.4 branch of Akismet with security updates for users who are unable to upgrade from old WordPress versions.

3 responses on “Akismet plugin 2.4 for WordPress

  1. Thanks for the continuing updates. Akismet is the only thing keeping a massive tide of pharmaceutical spam at bay, on my site.

  2. Version: 2.4.0 creates non XHTML-ready code. A W3C validation gives amongst others:
    general entity “v” not defined and no default entity
    Line: “text/css” href=”DOMAIN/index.php?ak_action=aktt_css&v=2.4″ />

    Please correct this in a future version.

Comments are closed.